pkgProblemResolver Class Reference

## Public Member Functions

void | Protect (pkgCache::PkgIterator Pkg)
void | Remove (pkgCache::PkgIterator Pkg)
void | Clear (pkgCache::PkgIterator Pkg)
bool | KeepPhasedUpdates ()
bool | Resolve (bool BrokenFix=false, OpProgress *const Progress=NULL)
APT_HIDDEN bool | ResolveInternal (bool const BrokenFix=false)
bool | ResolveByKeep (OpProgress *const Progress=NULL)
APT_HIDDEN bool | ResolveByKeepInternal ()
| pkgProblemResolver (pkgDepCache *Cache)

## Protected Member Functions

bool | InstOrNewPolicyBroken (pkgCache::PkgIterator Pkg)

## Member Function Documentation

## ResolveInternal()

bool ResolveInternal | ( | bool const | BrokenFix = false | ) |

Todo
  we should undo the complete MarkInstall process here

Todo
  use DoUpgrade(Pkg) instead?

The documentation for this class was generated from the following files:

- apt-pkg/algorithms.h
- apt-pkg/algorithms.cc